summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 4275df5)
raw | patch | inline | side by side (parent: 4275df5)
author | Fredrik Kuivinen <freku045@student.liu.se> | |
Sat, 3 Dec 2005 10:40:39 +0000 (11:40 +0100) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Sat, 3 Dec 2005 20:28:57 +0000 (12:28 -0800) |
The test is considered OK if it exits with code $1
Signed-off-by: Fredrik Kuivinen <freku045@student.liu.se>
Signed-off-by: Junio C Hamano <junkio@cox.net>
Signed-off-by: Fredrik Kuivinen <freku045@student.liu.se>
Signed-off-by: Junio C Hamano <junkio@cox.net>
t/test-lib.sh | patch | blob | history |
diff --git a/t/test-lib.sh b/t/test-lib.sh
index e654155a2eb0bc7aaf84335141d51c8f4fedb512..f2eccd79180deeb2283d60c00c12bc623f4e8317 100755 (executable)
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
fi
}
+test_expect_code () {
+ test "$#" = 3 ||
+ error "bug in the test script: not 3 parameters to test-expect-code"
+ say >&3 "expecting exit code $1: $3"
+ test_run_ "$3"
+ if [ "$?" = 0 -a "$eval_ret" = "$1" ]
+ then
+ test_ok_ "$2"
+ else
+ test_failure_ "$@"
+ fi
+}
+
test_done () {
trap - exit
case "$test_failure" in